%define module_name Math-ProvablePrime
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bytes/Random/Secure/Tiny.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Which.pm) perl(FindBin.pm) perl(Math/BigInt.pm) perl(Test/Class.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/NoWarnings.pm) perl(autodie.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.045
Release: alt1
Summary: Generate a provable prime number, in pure Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FE/FELIPE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
#The returned prime will be 512 bits long
    #(i.e., the first and last bits will be 1)
    #and will be an instance of Math::BigInt.
    #
    my $prime = Math::ProvablePrime::find(512);
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.pod Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Sat Aug 25 2018 Igor Vlasenko <viy@altlinux.ru> 0.045-alt1
- regenerated from template by package builder

* Fri Jan 13 2017 Igor Vlasenko <viy@altlinux.ru> 0.043-alt1
- regenerated from template by package builder

* Sat Dec 31 2016 Igor Vlasenko <viy@altlinux.ru> 0.042-alt1
- initial import by package builder

